FROM openshift/golang-builder:1.12 AS builder
ENV SOURCE_GIT_COMMIT=769ba5c3cf596ccb0b17e0e47b0d413850798b5c SOURCE_GIT_TAG=769ba5c SOURCE_GIT_URL=https://github.com/openshift/cluster-node-tuning-operator SOURCE_DATE_EPOCH=1573133823 BUILD_VERSION=v4.3.3 BUILD_RELEASE=202002171705
WORKDIR /go/src/github.com/openshift/cluster-node-tuning-operator
COPY . .
RUN make build

FROM openshift/ose-base:v4.3.3.20200217.170535
ENV SOURCE_GIT_COMMIT=769ba5c3cf596ccb0b17e0e47b0d413850798b5c SOURCE_GIT_TAG=769ba5c SOURCE_GIT_URL=https://github.com/openshift/cluster-node-tuning-operator SOURCE_DATE_EPOCH=1573133823 BUILD_VERSION=v4.3.3 BUILD_RELEASE=202002171705
COPY --from=builder /go/src/github.com/openshift/cluster-node-tuning-operator/cluster-node-tuning-operator /usr/bin/
COPY manifests /manifests
RUN useradd cluster-node-tuning-operator
USER cluster-node-tuning-operator
ENTRYPOINT ["/usr/bin/cluster-node-tuning-operator"]

LABEL \
        io.k8s.display-name="OpenShift cluster-node-tuning-operator" \
        io.k8s.description="This is a component of OpenShift and manages the lifecycle of node-level tuning." \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-node-tuning-operator" \
        com.redhat.component="cluster-node-tuning-operator-container" \
        version="v4.3.3" \
        release="202002171705" \
        io.openshift.build.commit.id="769ba5c3cf596ccb0b17e0e47b0d413850798b5c" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-node-tuning-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-node-tuning-operator/commit/769ba5c3cf596ccb0b17e0e47b0d413850798b5c"

